org.apache.felix.gogo.runtime

## Class Expression.Variable

- java.lang.Object
- - org.apache.felix.gogo.runtime.Expression.Variable

Enclosing class:
  Expression

    public class Expression.Variable
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Variable(String name)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getName()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Variable

    public Variable(String name)

### Method Detail

#### getName

    public String getName()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`